Name:          libplist
Version:       1.11
Release:       2mamba
Summary:       A library to handle Apple Property List format whereas it's binary or XML
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://www.libimobiledevice.org
Source:        http://www.libimobiledevice.org/downloads/libplist-%{version}.tar.bz2
License:       GPL
BuildRequires: cmake
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libgcc
BuildRequires: libglib-devel
BuildRequires: libpython-devel
BuildRequires: libstdc++6-devel
BuildRequires: libxml2-devel
## AUTOBUILDREQ-END
BuildRequires: Cython
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
A library to handle Apple Property List format whereas it's binary or XML.

%package -n python-plist
Group:         Development/Libraries/Python
Summary:       Python bindings for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      python >= %{pyver}

%description -n python-plist
A Python library to handle Apple Property List format whereas it's binary or XML.

%package devel
Group:         Development/Libraries
Summary:       Static libraries and headers for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
A library to handle Apple Property List format whereas it's binary or XML.
This package contains static libraries and header files needed for development.

%prep
%setup -q

%build
%configure
%make -j1 \
   PXDINCLUDES=plist.pxd

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall \
   PXDINCLUDES=plist.pxd

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_bindir}/plistutil
#%{_bindir}/plistutil-%{version}
%{_libdir}/libplist.so.*
%{_libdir}/libplist++.so.*
%doc AUTHORS COPYING COPYING.LESSER

%files -n python-plist
%defattr(-,root,root,-)
%{python_sitearch}/plist*

%files devel
%defattr(-,root,root)
%dir %{_includedir}/plist
%{_includedir}/plist/*.h
#%{_includedir}/plist/swig/plist.i
#%{_includedir}/plist/cython/plist.pxd
%{_libdir}/libplist.a
%{_libdir}/libplist.la
%{_libdir}/libplist.so
%{_libdir}/libplist++.a
%{_libdir}/libplist++.la
%{_libdir}/libplist++.so
%{_libdir}/pkgconfig/libplist++.pc
%{_libdir}/pkgconfig/libplist.pc
#%doc README

%changelog
* Thu Sep 11 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 1.11-2mamba
- rebuilt to fix  python-plist dependency on old libplist

* Mon Jul 28 2014 Automatic Build System <autodist@mambasoft.it> 1.11-1mamba
- automatic version update by autodist

* Tue Oct 29 2013 Automatic Build System <autodist@mambasoft.it> 1.10-1mamba
- automatic version update by autodist

* Sun Jan 29 2012 Stefano Cotta Ramusino <stefano.cotta@openmamba.org> 1.8-1mamba
- update to 1.8
- added python package

* Mon Sep 20 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 1.3-1mamba
- package created by autospec
